
From: Rusty Russell <rusty@rustcorp.com.au>

From:  Adrian Bunk <bunk@fs.tum.de>

Some versions of ps print non-version lines when ps --version is invoked. 
grep them out.


---

 25-akpm/scripts/ver_linux |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN scripts/ver_linux~ver_linux-fix scripts/ver_linux
--- 25/scripts/ver_linux~ver_linux-fix	2004-03-22 20:29:16.546373912 -0800
+++ 25-akpm/scripts/ver_linux	2004-03-22 20:29:16.548373608 -0800
@@ -68,7 +68,8 @@ ldd -v > /dev/null 2>&1 && ldd -v || ldd
 ls -l /usr/lib/lib{g,stdc}++.so  2>/dev/null | awk -F. \
        '{print "Linux C++ Library      " $4"."$5"."$6}'
 
-ps --version 2>&1 | awk 'NR==1{print "Procps                ", $NF}'
+ps --version 2>&1 | grep version | awk \
+'NR==1{print "Procps                ", $NF}'
 
 ifconfig --version 2>&1 | grep tools | awk \
 'NR==1{print "Net-tools             ", $NF}'

_
